<?php
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Форма добаления/редактирования товара.
 *
 * Файл: /admin/shop/action/form_edit_add_items_catalog.php
 *
 * @author Hostmake LLC
 * @version 5.x
 */
if (isset($id))
{
	$edit_items_catalog_id = $id;
}
else
{
	$edit_items_catalog_id = 0;
}

$form_params = array();
$form_params['title'] = $edit_items_catalog_id == 0
? $GLOBALS['MSG_shops']['items_catalog_add_form_title']
: $GLOBALS['MSG_shops']['items_catalog_edit_form_title'];

$form_params['form_attribs']['method'] = 'post';
$form_params['form_attribs']['action'] = '/admin/shop/shop.php';
$form_params['form_attribs']['ENCTYPE'] = 'multipart/form-data';
$form_params['form_attribs']['name'] = 'EditAddItem';

$shop = & singleton('shop');

$admin_forms_fields = new admin_forms_fields();

$DataBase = & singleton('DataBase');

$warehouse = & singleton('warehouse');

$kernel = & singleton('kernel');

$shop_shops_id = to_int($_REQUEST['shop_shops_id']);

$shop_groups_parent_id = to_int($_REQUEST['shop_groups_parent_id']);

$result = $shop->GetItem($edit_items_catalog_id, array('cache_off' => true));

// Если группа равна 0, может товар - модификация?
if ($shop_groups_parent_id == 0 && $result)
{
	$item_row = $shop->GetItem($result['shop_items_catalog_modification_id'], array('cache_off' => true));

	$shop_groups_parent_id = $item_row['shop_groups_id'];
}

$row_shop = $shop->GetShop($shop_shops_id);

if (!$row_shop)
{
	return false;
}

// Определим ID макета по структуре
$structure = & singleton('Structure');
$structure_row = $structure->GetStructureItem(to_int($row_shop['structure_id']));
$template_id = to_int($structure_row['templates_id']);

// Хлебные крошки
$path_array = $shop->GetShopPathArray($shop_groups_parent_id, false);

// Преобразуем идентификаторы групп в ссылки на группы.
$new_path_array = array();

$new_path_array[0]['name'] = $GLOBALS['MSG_shops']['header_admin__list_forms'];
$new_path_array[0]['link'] = $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/shop/shop.php', '', 54, 'load_data');
$new_path_array[0]['onclick'] = $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/shop/shop.php', '', 54, 'load_data');

$new_path_array[1]['name'] = $row_shop['shop_shops_name'];
$new_path_array[1]['link'] = $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/shop/shop.php', "&shop_groups_parent_id=0&shop_shops_id=$shop_shops_id", 65, 'load_data');
$new_path_array[1]['onclick'] = $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/shop/shop.php', "&shop_groups_parent_id=0&shop_shops_id=$shop_shops_id", 65, 'load_data');

if ($path_array)
{
	foreach ($path_array as $key => $value)
	{
		$new_path_array[] = array (
		'link' => $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/shop/shop.php', "&shop_groups_parent_id=$key&shop_shops_id=$shop_shops_id", 65, 'load_data'),
		'onclick' => $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/shop/shop.php', "&shop_groups_parent_id=$key&shop_shops_id=$shop_shops_id", 65, 'load_data'),
		'name' => $value);
	}
}

// Если мы пришли сюда из формы списка модификаций
if (isset($_REQUEST['shop_items_catalog_modification_id']))
{
	$modification_id = to_int($_REQUEST['shop_items_catalog_modification_id']);

	// Получаем имя товара, от которого пришли
	$row = $shop->GetItem($modification_id);

	$new_path_array[] = array("name" => sprintf($GLOBALS['MSG_shops']['item_modification_title'], $row['shop_items_catalog_name']),
	"link" => $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/shop/shop.php', "&shop_shops_id=$shop_shops_id&shop_groups_parent_id=$shop_groups_parent_id&shop_items_catalog_modification_id=$modification_id", 81, 'load_data'),
	"onclick" => $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/shop/shop.php', "&shop_shops_id=$shop_shops_id&shop_groups_parent_id=$shop_groups_parent_id&shop_items_catalog_modification_id=$modification_id", 81, 'load_data')
	);
}

$res_s = $shop->GetShop($shop_shops_id);

$form_params['path_array'] = $new_path_array;

$admin_forms_fields->admin_forms_fields($form_params);

// Параметры.
$tab_id = $admin_forms_fields->AddTab($GLOBALS['MSG_shops']['tab_shop']);

$date_time = & singleton('DateClass');

// Редактирование товара
if ($edit_items_catalog_id)
{
	$items_catalog_name = $result['shop_items_catalog_name'];
	$items_catalog_marking = $result['shop_items_catalog_marking'];
	$shop_items_catalog_date_time = $date_time->datetime_format(date($result['shop_items_catalog_date_time']));
	$items_catalog_description = $result['shop_items_catalog_description'];
	$items_catalog_text = $result['shop_items_catalog_text'];
	$shop_sallers_id = $result['shop_sallers_id'];
	$items_catalog_weight = $result['shop_items_catalog_weight'];
	$items_catalog_image = $result['shop_items_catalog_image'];
	$shop_watermark_default_position_x = $res_s['shop_watermark_default_position_x'];
	$shop_watermark_default_position_y = $res_s['shop_watermark_default_position_y'];
	$items_image_is_use_watermark_small = 0;
	$items_catalog_path = $result['shop_items_catalog_path'];
	$items_catalog_producers = $result['shop_producers_list_id'];

	$items_catalog_mesure = $result['shop_mesures_id'];
	$items_catalog_order = $result['shop_items_catalog_order'];
	$items_catalog_indexation = $result['shop_items_catalog_indexation'];
	$items_catalog_is_active = $result['shop_items_catalog_is_active'];
	$shop_items_catalog_access = $result['shop_items_catalog_access'];
	$items_catalog_add_form_access = $result['shop_items_catalog_access'];
	$items_catalog_price = $result['shop_items_catalog_price'];
	$items_catalog_currency = $result['shop_currency_id'];
	$items_catalog_tax = $result['shop_tax_id'];
	$items_catalog_yandex_market_allow = $result['shop_items_catalog_yandex_market_allow'];
	$items_catalog_yandex_market_bid = $result['shop_items_catalog_yandex_market_bid'];
	$items_catalog_yandex_market_cid = $result['shop_items_catalog_yandex_market_cid'];
	$items_catalog_seo_title = $result['shop_items_catalog_seo_title'];
	$items_catalog_seo_description = $result['shop_items_catalog_seo_description'];
	$items_catalog_seo_keywords =$result['shop_items_catalog_seo_keywords'];
	$shop_vendorcode = $result['shop_vendorcode'];
	$items_catalog_small_image = $result['shop_items_catalog_small_image'];
	$shop_items_catalog_rambler_pokupki_allow = $result['shop_items_catalog_rambler_pokupki_allow'];
	$shop_items_catalog_type = $result['shop_items_catalog_type'];
	$shop_items_cml_id = $result['shop_items_cml_id'];
	$shop_items_cml_sales_notes = $result['shop_items_catalog_yandex_market_sales_notes'];
	$shop_items_catalog_putoff_date = $date_time->datetime_format($result['shop_items_catalog_putoff_date']);
	$shop_items_catalog_putend_date = $date_time->datetime_format($result['shop_items_catalog_putend_date']);
	
	$shop_items_catalog_modification_id = $result['shop_items_catalog_modification_id'];
	
	// Атрибуты максимального изображения берутся ВСЕГДА из настроек магазина
	$shop_image_big_max_width = $res_s['shop_image_big_max_width'];
	$shop_image_big_max_height = $res_s['shop_image_big_max_height'];
	
	// Атрибуты максимального изображения берутся ВСЕГДА из настроек магазина
	$shop_image_small_max_width = $res_s['shop_image_small_max_width'];
	$shop_image_small_max_height = $res_s['shop_image_small_max_height'];

	//$shop_groups_parent_id = $result['shop_groups_id'];
	$shop_items_catalog_show_count = $result['shop_items_catalog_show_count'];
	$site_users_id = $result['site_users_id'];
}
// Добавление товара
else
{
	$items_catalog_name = '';
	$items_catalog_marking = '';
	$shop_items_catalog_date_time = date("d.m.Y H:i:s");
	$shop_items_catalog_putoff_date = date("d.m.Y H:i:s");
	$shop_items_catalog_putend_date = $GLOBALS['MSG_shops']['items_catalog_putend_date_not_defined'];
	$items_catalog_description = '';
	$items_catalog_text = '';
	$shop_sallers_id = 0;
	$items_catalog_weight = '0.00';
	$items_catalog_image = '';
	$shop_watermark_default_position_x = $res_s['shop_watermark_default_position_x'];
	$shop_watermark_default_position_y = $res_s['shop_watermark_default_position_y'];
	$items_image_is_use_watermark_small = 0;
	$items_catalog_path = '';
	$items_catalog_producers = 0;

	$items_catalog_mesure = 0;
	$items_catalog_order = '';
	$items_catalog_indexation = 1;
	$items_catalog_is_active = 1;
	$shop_items_catalog_access = -1;
	$items_catalog_price = '';
	$items_catalog_currency = 0;
	$items_catalog_tax = 0;
	$items_catalog_yandex_market_allow = 1;
	$items_catalog_yandex_market_bid = 0;
	$items_catalog_yandex_market_cid = 0;
	$items_catalog_seo_title = '';
	$items_catalog_seo_description = '';
	$items_catalog_seo_keywords = '';
	$shop_vendorcode = '';
	$items_catalog_small_image =  '';
	$shop_items_catalog_rambler_pokupki_allow = 1;
	$shop_items_catalog_type = 0;
	$shop_items_cml_id = $kernel->Guid();
	$shop_items_cml_sales_notes = '';
	
	if (isset($modification_id))
	{
		$shop_items_catalog_modification_id = $modification_id;
	}
	else
	{
		$shop_items_catalog_modification_id = 0;
	}
	
	$shop_image_small_max_width = $res_s['shop_image_small_max_width'];
	$shop_image_small_max_height = $res_s['shop_image_small_max_height'];
	$shop_image_big_max_width = $res_s['shop_image_big_max_width'];
	$shop_image_big_max_height = $res_s['shop_image_big_max_height'];
	$shop_items_catalog_show_count = 0;
	$site_users_id = 0;
}

/*$arr = array();
$arr[0] = ' ... ';
$mas = array();
$shop->mas_groups = array();
$mas = $shop->GetDelimitedGroups(0, $shop_shops_id, "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");

$mas_count = count($mas);

for ($i = 0; $i < $mas_count; $i++)
{
	$arr[$mas[$i]['shop_groups_id']] = $mas[$i]['separator'].$mas[$i]['shop_groups_name'];
}*/

	// Получаем содержимое выпадающего списка
	/*
	$arr = array();
	$arr[0] = ' ... ';

	$shop->mas_groups = array();
	$mas = $shop->GetDelimitedGroups(0, $shop_shops_id, "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");

	$shop->CacheGoupsIdTree = array();
	$shop->mas_groups = array();
	
	$mas_count = count($mas);

	for ($i = 0; $i < $mas_count; $i++)
	{
		$arr[$mas[$i]['shop_groups_id']] = $mas[$i]['separator'].$mas[$i]['shop_groups_name'];
	}
	*/
	
	$mas_groups = $shop->GetAllGroups($shop_shops_id, array(
		'select_fields' => array('shop_groups_id', 'shop_groups_parent_id', 'shop_groups_name'),
	));

	$aGroupsTree = array();
	foreach ($mas_groups as $key => $row)
	{
		$aGroupsTree[$row['shop_groups_parent_id']][] = $row;
	}

// Название
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_name';
$param['caption'] = $GLOBALS['MSG_shops']['items_catalog_add_form_name'];
$param['type'] = 0; // textbox
$param['value'] = $items_catalog_name;
$param['attributes']['class'] = 'large';
$param['format']['minlen']['value'] = 1;
$param['format']['maxlen']['value'] = 255;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Если не модификация
if ($shop_items_catalog_modification_id == 0)
{
	// Группа
	$param = array();
	$param['tab_id'] = $tab_id;
	$param['name'] = 'shop_groups_parent_id2';
	$param['caption'] = $GLOBALS['MSG_shops']['items_catalog_add_form_group'];
	$param['type'] = 2; // выпадающий список
	$param['items'] = array ('...') + GetDelimitedGroups(0, $aGroupsTree, '', false);
	$param['value'] = $shop_groups_parent_id;
	$param['div_attributes']['style'] = '';
	$param['attributes']['style'] = 'width: 320px; float: left;';
	$param['apply_filter'] = true;
	
	$admin_forms_fields->AddField($param);
	
	// Разделитель.
	$admin_forms_fields->AddSeparator($tab_id);
}

// Выбор типа товара (0 - обычный, 1 - электронный товар)
$arrs = array(
0=>$GLOBALS['MSG_shops']['item_type_selection_group_buttons_name_simple'], 
1=>$GLOBALS['MSG_shops']['item_type_selection_group_buttons_name_electronic'],
2=>$GLOBALS['MSG_shops']['item_type_selection_group_buttons_name_divisible']
);
$params = array();
$params['tab_id'] = $tab_id;
$params['html_id'] = 'shop_items_catalog_type';
$params['name'] = 'shop_items_catalog_type';
$params['caption'] = $GLOBALS['MSG_shops']['item_type_selection_group_buttons_name'];
$params['type'] = 13; // радиокнопки
$params['separator'] = '';
$params['value'] = $shop_items_catalog_type;
$params['options']['count'] = 3;
$params['options']['labels'] = $arrs;
$params['options']['input_text'] = -1;
$params['options']['index'] = array(0 => 0, 1 => 1, 2 => 2);

$shop = new shop();

$result_eitem = $shop->GetEitemsForItem($edit_items_catalog_id);

if (mysql_num_rows($result_eitem) != 0)
{
	$params['options']['onclick'] = "ShowAttentionWindow(%ext_name%)";
	$params['options']['ext_name'] = array(0 => 0, 1 => 1, 2 => 2);
}

$admin_forms_fields->AddField($params);

// Список товаров, чтобы сделать товар их модификацией
$all_items_current_group_array = array(0 => ' ... ');

// Расчитываем количество элементов в группе
$res = $DataBase->query("SELECT count(*) as count FROM `shop_items_catalog_table` WHERE `shop_groups_id` = '{$shop_groups_parent_id}' AND `shop_shops_id`='$shop_shops_id' AND `shop_items_catalog_modification_id`='0'");

$row_count = mysql_fetch_assoc($res);

$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'item_modification_id';
$param['caption'] = $GLOBALS['MSG_shops']['shop_item_catalog_modification_flag'];
$param['value'] = $shop_items_catalog_modification_id;
$param['div_attributes']['style'] = 'float: left; width: 200px';

// Если можно вывести список
if ($row_count['count'] < 250)
{
	// Получаем список всех товаров текущей группы
	$all_items_current_group_res = $shop->GetAllItems($shop_shops_id, $shop_groups_parent_id, array(
		'shop_items_catalog_is_active' => 2
	));
	
	if($all_items_current_group_res)
	{
		foreach($all_items_current_group_res as $item_data)
		{
			if($item_data['shop_items_catalog_item_id'] != $edit_items_catalog_id
			&& $item_data['shop_items_catalog_shortcut_id'] == 0)
			{
				$all_items_current_group_array[$item_data['shop_items_catalog_item_id']] = $item_data['shop_items_catalog_name'];
			}
		}
	}
	
	$param['type'] = 2; // groupbox
	$param['items'] = $all_items_current_group_array;
}
else // Товаров слишком много, выводим скрытым полем
{
	$param['type'] = 4; // hidden.
}

$admin_forms_fields->AddField($param);

//Ссылка на список модификаций. отображаем при редактировании
if ($edit_items_catalog_id && !isset($_REQUEST['shop_items_catalog_modification_id']))
{
	ob_start();
	?><img src="/admin/images/modifications.gif" class="img_line" />
	<a href="<?php echo $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/shop/shop.php', "&shop_groups_parent_id={$shop_groups_parent_id}&shop_shops_id={$shop_shops_id}&shop_items_catalog_modification_id={$edit_items_catalog_id}", 81, 'load_data')?>"
	onclick="<?php echo $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/shop/shop.php', "&shop_groups_parent_id={$shop_groups_parent_id}&shop_shops_id={$shop_shops_id}&shop_items_catalog_modification_id={$edit_items_catalog_id}", 81, 'load_data')?>"><?php echo $GLOBALS['MSG_shops']['items_catalog_add_form_modifications_list'];?></a>
	<?php

	$content = ob_get_clean();

	$param = array();
	$param['tab_id'] = $tab_id;
	$param['name'] = 'shop_items_catalog_putoff_date';
	$param['type'] = 8; // Текст "как есть"
	$param['value'] = $content;
	$param['div_attributes']['style'] = 'float: left; margin-top: 20px';
	$admin_forms_fields->AddField($param);
}

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Дата
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'shop_items_catalog_date_time';
$param['html_id'] = 'shop_items_catalog_date_time';
$param['caption'] = $GLOBALS['MSG_shops']['catalog_item_date'];
$param['type'] = 11; // date-time
$param['value'] = $shop_items_catalog_date_time;
$param['format']['maxlen']['value'] = 255;
$param['div_attributes']['style'] = 'float: left; margin-top: 5px';
$admin_forms_fields->AddField($param);

// Дата публикации
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'shop_items_catalog_putoff_date';
$param['html_id'] = 'shop_items_catalog_putoff_date';
$param['caption'] = $GLOBALS['MSG_shops']['catalog_item_put_off'];
$param['type'] = 11; // date-time
$param['value'] = $shop_items_catalog_putoff_date;
$param['format']['maxlen']['value'] = 255;
$param['div_attributes']['style'] = 'float: left; margin-top: 5px';
$admin_forms_fields->AddField($param);

// Дата окончания публикации
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'shop_items_catalog_putend_date';
$param['html_id'] = 'shop_items_catalog_putend_date';
$param['caption'] = $GLOBALS['MSG_shops']['catalog_item_put_end'];
$param['type'] = 11; // date-time
$param['value'] = $shop_items_catalog_putend_date;
$param['format']['maxlen']['value'] = 255;
$param['div_attributes']['style'] = 'float: left; margin-top: 5px';
$admin_forms_fields->AddField($param);

// Счетчик показов
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'shop_items_catalog_show_count';
$param['html_id'] = 'shop_items_catalog_show_count';
$param['caption'] = $GLOBALS['MSG_shops']['shop_items_catalog_show_count'];
$param['type'] = 0; // поле ввода
$param['value'] = $shop_items_catalog_show_count;
$param['format']['maxlen']['value'] = 255;
$param['div_attributes']['style'] = 'float: left; margin-top: 5px; width: 100px; margin-right: 10px;';
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

$param['options'] = array();

// Изображение группы
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_image';
$param['caption'] = $GLOBALS['MSG_shops']['items_catalog_image'];
$param['type'] = 9; // file

// Параметры
$param['options']['make_small_image_from_big_show'] = 1; // отображать ли checkbox с подписью "Создать малое изображение из большого" (1 -  отображать (по умолчанию), 0 - не отображать);
$param['options']['make_small_image_from_big_checked'] = 1; // вид отображения checkbox'а с подписью "Создать малое изображение из большого" выбранным (1 -  отображать выбранным (по умолчанию), 0 - невыбранным);

$param['options']['load_small_image_caption'] = $GLOBALS['MSG_shops']['items_catalog_image_small'];

$param['options']['load_small_image_show'] = 1; //- отображать ли поле загрузки малого изображения (1 -  отображать (по умолчанию), 0 - не отображать);

$param['options']['image_big_max_width'] = $shop_image_big_max_width; // значение максимальной ширины большого изображения;
$param['options']['image_big_max_height'] = $shop_image_big_max_height; // значение максимальной высоты большого изображения;

$param['options']['image_small_max_width'] = $shop_image_small_max_width; // значение максимальной ширины малого изображения;
$param['options']['image_small_max_height'] = $shop_image_small_max_height; // значение максимальной высоты малого изображения;

$param['options']['used_watermark_big_image_show'] = 1; // отображать ли checkbox с подписью "Наложить водяной знак на большое изображение" (1 -  отображать (по умолчанию), 0 - не отображать);
$param['options']['used_watermark_big_image_checked'] = to_int($res_s['shop_watermark_default_use_big']); // вид ображения checkbox'а с подписью "Наложить водяной знак на большое изображение" (1 -  отображать выбранным (по умолчанию), 0 - невыбранным);

$param['options']['watermark_position_x'] = $shop_watermark_default_position_x; //значение поля ввода с подписью "По оси X"
$param['options']['watermark_position_y'] = $shop_watermark_default_position_y; // значение поля ввода с подписью "По оси Y"

$param['options']['used_watermark_small_image_show'] = 1; //  отображать ли checkbox с подписью "Наложить водяной знак на малое изображение" (1 -  отображать (по умолчанию), 0 - не отображать);
$param['options']['used_watermark_small_image_checked'] = to_int($res_s['shop_watermark_default_use_small']); // вид ображения checkbox'а с подписью "Наложить водяной знак на малое изображение" (1 -  отображать выбранным (по умолчанию), 0 - невыбранным);
$param['options']['used_big_image_preserve_aspect_ratio_checked'] = to_int($res_s['shop_shops_default_save_proportions']); // вид ображения checkbox'а с подписью "Наложить водяной знак на малое изображение" (1 -  отображать выбранным (по умолчанию), 0 - невыбранным);
$param['options']['used_small_image_preserve_aspect_ratio_checked'] = to_int($res_s['shop_shops_default_save_proportions']); // вид ображения checkbox'а с подписью "Наложить водяной знак на малое изображение" (1 -  отображать выбранным (по умолчанию), 0 - невыбранным);

$uploaddir = $shop->GetItemDir($edit_items_catalog_id);

if (isset($items_catalog_image) && $items_catalog_image != '')
{
	//$param['options']['big_image_path'] = '/'.UPLOADDIR.'shop_'.$shop_shops_id.'/item_catalog_'.$edit_items_catalog_id.'/'.rawurlencode($items_catalog_image); // адрес большого загруженного изображения
	
	//echo "uploaddir = $uploaddir<br>";
	// Формируем адрес большого изображения по новому стандарту
	$param['options']
	['big_image_path'] = '/' . $uploaddir . rawurlencode($items_catalog_image); // адрес большого загруженного изображения
	$param['options']['href_delete_big_image'] = "javascript:void(0)";
	// Значение для onclick
	$param['options']['onclick_delete_big_image'] = "sendRequest('/admin/shop/shop.php?action=shop_item_big_image&item_id=$edit_items_catalog_id&shop_shops_id=$shop_shops_id', 'get', callback_function_exec_from_return); return false;";
}
else
{
	$param['options']['big_image_path'] = '';
}

if (isset($items_catalog_small_image) && $items_catalog_small_image != '')
{
	//$param['options']['small_image_path'] = '/'.UPLOADDIR.'shop_'.$shop_shops_id.'/item_catalog_'.$edit_items_catalog_id.'/'.rawurlencode($items_catalog_small_image); // адрес малого загруженного изображения
	
	// Формируем путь к изображение по новому стандарту
	
	$param['options']['small_image_path'] = '/' . $uploaddir . rawurlencode($items_catalog_small_image); // адрес малого загруженного изображения
	$param['options']['href_delete_small_image'] = "javascript:void(0)";
	// Значение для onclick
	$param['options']['onclick_delete_small_image'] = "sendRequest('/admin/shop/shop.php?action=shop_item_small_image&item_id=$edit_items_catalog_id&shop_shops_id=$shop_shops_id', 'get', callback_function_exec_from_return); return false;";
}
else
{
	$param['options']['small_image_path'] = '';
}

$admin_forms_fields->AddField($param);


// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Артикул
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_marking';
$param['caption'] = $GLOBALS['MSG_shops']['items_catalog_add_form_marking'];
$param['type'] = 0; // textbox
$param['value'] = $items_catalog_marking;
$param['format']['maxlen']['value'] = 50;
$param['div_attributes']['style'] = 'float: left;';
$admin_forms_fields->AddField($param);

// Вес
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_weight';
$param['caption'] = $GLOBALS['MSG_shops']['items_catalog_add_form_ves'];
$param['type'] = 0; // textbox
$param['value'] = $items_catalog_weight;
$param['format']['minlen']['value'] = 1;
$param['format']['maxlen']['value'] = 10;
$param['format']['lib']['value'] = 'decimal';
$param['format']['lib']['message'] = $GLOBALS['MSG_shops']['show_invalid_characters_decimal'];
$param['attributes']['style'] = 'width: 75px;';
$param['div_attributes']['style'] = 'float: left;';
$admin_forms_fields->AddField($param);

// Получаем меру для магазина
$shop_mesures = $shop->GetMesure($res_s['shop_mesures_id']);

// Единица измерения веса
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = '';
$param['caption'] = '&nbsp;';
$param['type'] = 8; // вывод текста
$param['value'] = to_str($shop_mesures['shop_mesures_name']);
$param['attributes']['style'] = 'width: 100px;';
$param['div_attributes']['style'] = 'float: left; margin: 5px 10px 0 0;';
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

$arr = array();
$arr[0] = ' ... ';
$result = $shop->GetAllSellers($shop_shops_id);
$count_sellers = 0;
if ($result)
{
	$count_sellers = mysql_num_rows($result);
}
for ($i = 0; $i < $count_sellers; $i++)
{
	$row = mysql_fetch_assoc($result);
	$arr[$row['shop_sallers_id']] = htmlspecialchars($row['shop_sallers_name']);
}

// Продавец
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'shop_sallers_id';
$param['caption'] = $GLOBALS['MSG_shops']['form_sellers_name'];
$param['type'] = 2; // выпадающий список
$param['items'] = $arr;
$param['value'] = $shop_sallers_id;
//$param['attributes']['style'] = 'width: 75px;';
$param['div_attributes']['style'] = 'float: left;';

$admin_forms_fields->AddField($param);

// Разделитель.
//$admin_forms_fields->AddSeparator($tab_id);


// Получаем список производителей
$shop_producers_list_resource = $shop->GetAllProducers(array('shop_id' => $shop_shops_id));

$arr = array();

$arr[0] = ' ... ';

while ($row = mysql_fetch_assoc($shop_producers_list_resource))
{
	$arr[$row['shop_producers_list_id']] = $row['shop_producers_list_name'];
}

// Производитель
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_producers';
$param['caption'] = $GLOBALS['MSG_shops']['items_catalog_producer'];
$param['type'] = 2; // groupbox
$param['items'] = $arr;
$param['value'] = $items_catalog_producers;
$param['div_attributes']['style'] = 'float: left;';

$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Цена товара
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_price';
$param['html_id'] = 'items_catalog_price';
$param['caption'] = $GLOBALS['MSG_shops']['shop_order_items_price'];
$param['type'] = 0; // textbox
$param['value'] = $items_catalog_price;
$param['format']['lib']['value'] = 'decimal';
$param['format']['lib']['message'] = $GLOBALS['MSG_shops']['show_invalid_characters_decimal'];
$param['format']['maxlen']['value'] = 255;
$param['attributes']['style'] = 'width: 75px;';
$param['div_attributes']['style'] = 'float: left;';
$admin_forms_fields->AddField($param);

// Получаем список валют
$arr = array();

$currency = $shop->GetAllCurrency();

while ($row = mysql_fetch_assoc($currency))
{
	$arr[$row['shop_currency_id']] = $row['shop_currency_name'];
}

// Если при добавлении товара валюта = 0, то поставим в качестве текущей валюты ту, что указана для магазина
if ($items_catalog_currency == 0)
{
	$items_catalog_currency = to_int($row_shop['shop_currency_id']);
}

// Валюты
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_currency';
$param['caption'] = '&nbsp;';
$param['type'] = 2; // groupbox
$param['items'] = $arr;
$param['value'] = $items_catalog_currency;
$param['attributes']['style'] = 'width: 100px;';
$param['div_attributes']['style'] = 'float: left;';
$admin_forms_fields->AddField($param);

// Получаем список налогов
$arr = array();

$arr[0] = ' ... ';

$tax = $shop->GetAllTax();

while ($row = mysql_fetch_assoc($tax))
{
	$arr[$row['shop_tax_id']] = $row['shop_tax_name'];
}

// Налог
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_tax';
$param['caption'] = $GLOBALS['MSG_shops']['items_catalog_tax'];
$param['type'] = 2; // groupbox
$param['items'] = $arr;
$param['value'] = $items_catalog_tax;
$param['div_attributes']['style'] = 'float: left;';
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Получаем данные о дополнительных ценах на товар
$array_of_extarnal_prices = $shop->GetAllPricesForShop($shop_shops_id);
if ($array_of_extarnal_prices)
{
	if (mysql_num_rows($array_of_extarnal_prices) != 0)
	{
		$param = array();
		$param['tab_id'] = $tab_id;
		$param['name'] = '';
		$param['caption'] = '';
		$param['type'] = 15; // AS IS
		$param['value'] = '<table border="0" cellpadding="0" cellspacing="0">';
		$admin_forms_fields->AddField($param);
	}

	while ($row = mysql_fetch_assoc($array_of_extarnal_prices))
	{
		$param = array();
		$param['tab_id'] = $tab_id;
		$param['name'] = '';
		$param['caption'] = '';
		$param['type'] = 15; // AS IS
		$param['value'] = '<tr><td>';
		$admin_forms_fields->AddField($param);

		$price = $shop->GetPriceForItem($row['shop_list_of_prices_id'], $edit_items_catalog_id, array('cache_off' => true));

		// Дополнительная цена товара (флажок)
		$param = array();
		$param['tab_id'] = $tab_id;
		$param['name'] = 'prices_to_item_'.$row['shop_list_of_prices_id'];
		$param['html_id'] = 'check_prices_to_item_'.$row['shop_list_of_prices_id'];
		$param['caption'] = $row['shop_list_of_prices_name'];
		$param['type'] = 1; // Флажок
		$param['value'] = ($price['shop_prices_to_item_value'] == '') ? 0 : 1;
		$param['div_attributes']['style'] = 'float: left;';
		$param['attributes']['onclick'] = "document.getElementById('value_prices_to_item_{$row['shop_list_of_prices_id']}').disabled = !this.checked; if (this.checked) {document.getElementById('value_prices_to_item_{$row['shop_list_of_prices_id']}').value = (document.getElementById('items_catalog_price').value * {$row['shop_list_of_prices_percent_to_basic']} / 100).toFixed(2);}";
		$admin_forms_fields->AddField($param);

		$param = array();
		$param['tab_id'] = $tab_id;
		$param['name'] = '';
		$param['caption'] = '';
		$param['type'] = 15; // AS IS
		$param['value'] = '</td><td>';
		$admin_forms_fields->AddField($param);

		$param = array();
		$param['tab_id'] = $tab_id;
		$param['name'] = 'value_prices_to_item_'.$row['shop_list_of_prices_id'];
		$param['html_id'] = 'value_prices_to_item_'.$row['shop_list_of_prices_id'];
		$param['type'] = 0; // Поле ввода
		$param['value'] = ($price['shop_prices_to_item_value'] == '') ? '0.00' : $price['shop_prices_to_item_value'];
		$param['format']['lib']['value'] = 'decimal';
		$param['attributes']['style'] = 'width: 100px;';
		$param['div_attributes']['style'] = 'float: left;';
		$admin_forms_fields->AddField($param);

		// Выключаем поля, если checkbox-ы сняты
		if ($price['shop_prices_to_item_value'] == '')
		{
			$param = array();
			$param['tab_id'] = $tab_id;
			$param['name'] = '';
			$param['caption'] = '';
			$param['type'] = 15; // AS IS
			$param['value'] = "<script>document.getElementById('value_prices_to_item_{$row['shop_list_of_prices_id']}').disabled = 1</script>";
			$admin_forms_fields->AddField($param);
		}

		$param = array();
		$param['tab_id'] = $tab_id;
		$param['name'] = '';
		$param['caption'] = '';
		$param['type'] = 15; // AS IS
		$param['value'] = '</td></tr>';
		$admin_forms_fields->AddField($param);

		// Разделитель.
		//$admin_forms_fields->AddSeparator($tab_id);
	}

	if (mysql_num_rows($array_of_extarnal_prices) != 0)
	{
		// Дополнительная цена товара (флажок)
		$param = array();
		$param['tab_id'] = $tab_id;
		$param['name'] = '';
		$param['caption'] = '';
		$param['type'] = 15; // AS IS
		$param['value'] = '</table>';
		$admin_forms_fields->AddField($param);
	}
}

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Получаем список мер
$arr = array();

$arr[0] = ' ... ';

$mesures = $shop->GetAllMesures();

while ($row = mysql_fetch_assoc($mesures))
{
	$arr[$row['shop_mesures_id']] = $row['shop_mesures_name'];
}

// Количество (поле выбора типа)
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_mesure';
$param['caption'] = $GLOBALS['MSG_shops']['warehouse_mesure_item'];
$param['type'] = 2; // groupbox
$param['items'] = $arr;
$param['value'] = $items_catalog_mesure;
$param['attributes']['style'] = 'width: 100px;';
$param['div_attributes']['style'] = 'float: left;';
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Необходимо отобразить количество товара на всех имеющихся для магазина складах
$aWarehouses = $warehouse->GetAllWarehousesForShop($shop_shops_id);

if($aWarehouses)
{
	foreach ($aWarehouses as $row)
	{	
		// Количество
		$param = array();
		$param['tab_id'] = $tab_id;
		$param['name'] = 'items_catalog_rest_warehouse_' . $row['shop_warehouse_id'];
		$param['caption'] = sprintf($GLOBALS['MSG_shops']['warehouse_item_count'], $row['shop_warehouse_name']);
		$param['type'] = 0; // textbox
		$param['value'] = $warehouse->GetItemCountForWarehouse($row['shop_warehouse_id'], $edit_items_catalog_id);
		$param['div_attributes']['style'] = 'width: 250px; float: left; margin-right: 5px;';
		$param['format']['lib']['value'] = 'decimal';
		$param['format']['lib']['message'] = $GLOBALS['MSG_shops']['show_invalid_characters_integer'];
		$param['format']['maxlen']['value'] = 11;
		$admin_forms_fields->AddField($param);
		
		// Разделитель.
		$admin_forms_fields->AddSeparator($tab_id);
	}
}

// Путь
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_path';
$param['caption'] = $GLOBALS['MSG_shops']['items_catalog_add_form_path'];
$param['type'] = 0; // textbox
$param['value'] = $items_catalog_path;
$param['format']['lib']['value'] = 'path';
$param['format']['lib']['message'] = $GLOBALS['MSG_shops']['show_invalid_characters_path'];
$param['format']['maxlen']['value'] = 255;
$param['attributes']['style'] = 'font-weight: bold; width: 400px;';
$param['div_attributes']['style'] = 'float: left;';
$admin_forms_fields->AddField($param);

// Разделитель.
//$admin_forms_fields->AddSeparator($tab_id);

// Порядок сортировки
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_order';
$param['caption'] = $GLOBALS['MSG_shops']['items_catalog_add_form_order'];
$param['type'] = 0; // textbox
$param['value'] = $items_catalog_order;
$param['format']['lib']['value'] = 'integer';
$param['format']['lib']['message'] = $GLOBALS['MSG_shops']['show_invalid_characters_integer'];
$param['format']['maxlen']['value'] = 255;
$param['attributes']['style'] = 'width: 110px;';
$param['div_attributes']['style'] = 'float: left;';
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Индексация
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_indexation';
$param['caption'] = $GLOBALS['MSG_shops']['items_catalog_add_form_indexation'];
$param['type'] = 1; // checkbox
$param['value'] = $items_catalog_indexation;
$param['div_attributes']['style'] = 'float: left;';
$admin_forms_fields->AddField($param);

// Активность
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_is_active';
$param['caption'] = $GLOBALS['MSG_shops']['items_catalog_add_form_is_active'];
$param['type'] = 1; // checkbox
$param['value'] = $items_catalog_is_active;
$param['div_attributes']['style'] = 'float: left;';
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Группа доступа
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'shop_items_catalog_access';
$param['caption'] = $GLOBALS['MSG_shops']['items_catalog_add_form_access'];
$param['type'] = 2; // Выпадающий список.

$value = $shop_items_catalog_access;

$param['value'] = $value;

$items = array();

if (class_exists('SiteUsers'))
{
	$site_users = & singleton('SiteUsers');

	$result = $site_users->SelectSiteUsersGroups();

	$count_site_users_groups = mysql_num_rows($result);
}
else
{
	$count_site_users_groups = 0;
}

for ($i = -2; $i < $count_site_users_groups; $i++)
{
	switch ($i)
	{
		case -2:
			$option_text = $GLOBALS['MSG_shops']['shop_users_group_all'];
			$option_value = 0;
			break;
		case -1:
			$option_text = $GLOBALS['MSG_shops']['shop_users_group_parrent'];
			$option_value = -1;
			break;
		default:
			$row = mysql_fetch_assoc($result);
			$option_text = $row["site_users_group_name"];
			$option_value = $row["site_users_group_id"];
	}

	$items[$option_value] = $option_text;
}

$param['items'] = $items;
$param['attributes']['style'] = 'width: 300px;';
$param['div_attributes']['style'] = 'float: left;';
$admin_forms_fields->AddField($param);

// Идентификатор пользователя сайта
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'site_users_id';
$param['caption'] = $GLOBALS['MSG_shops']['site_users_id'];
$param['type'] = 0; // Поле ввода.
$param['value'] = $site_users_id;
$param['format']['lib']['value'] = "integer";
$param['div_attributes']['style'] = 'float: left; width: 110px';
$admin_forms_fields->AddField($param);


$tab_id = $admin_forms_fields->AddTab($GLOBALS['MSG_shops']['tab_description']);

// Описание
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_description';
$param['caption'] = $GLOBALS['MSG_shops']['items_catalog_add_form_description'];

if (!defined('ALLOW_WYSIWYG_SHOP_ITEM_DESCRIPTION')
|| (defined('ALLOW_WYSIWYG_SHOP_ITEM_DESCRIPTION')
	&& ALLOW_WYSIWYG_SHOP_ITEM_DESCRIPTION))
{
	$param['type'] = 7; // Визуальный редактор.
	$param['template'] = $template_id; // ID шаблона
}
else
{
	$param['type'] = 5; // textarea
	$param['attributes'] = array();
	$param['attributes']['rows'] = 10;
}
$param['value'] = $items_catalog_description;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

if (class_exists('typograph'))
{
// Типографировать описание
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'use_typograph_for_desc';
$param['caption'] = $GLOBALS['MSG_shops']['exec_typograph_for_description'];
$param['type'] = 1; // checkbox
$param['value'] = $res_s['shop_typograph_item_by_default'];
$param['div_attributes']['style'] = 'float: left;';
$admin_forms_fields->AddField($param);

// Оптическое выравнивание
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'trailing_punctuation_for_desc';
$param['caption'] = $GLOBALS['MSG_shops']['use_trailing_punctuation_for_text'];
$param['type'] = 1; // checkbox
$param['value'] = 1;
$param['div_attributes']['style'] = 'float: left;';
$admin_forms_fields->AddField($param);

$admin_forms_fields->AddSeparator($tab_id);
}

// Текст
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_text';
$param['caption'] = $GLOBALS['MSG_shops']['items_catalog_add_form_text'];

if (!defined('ALLOW_WYSIWYG_SHOP_ITEM_TEXT')
|| (defined('ALLOW_WYSIWYG_SHOP_ITEM_TEXT')
	&& ALLOW_WYSIWYG_SHOP_ITEM_TEXT))
{
	$param['type'] = 7; // Визуальный редактор.
	$param['template'] = $template_id; // ID шаблона
}
else
{
	$param['type'] = 5; // textarea
	$param['attributes'] = array();
	$param['attributes']['rows'] = 10;
}
$param['value'] = $items_catalog_text;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

if (class_exists('typograph'))
{
	// Типографировать текст
	$param = array();
	$param['tab_id'] = $tab_id;
	$param['name'] = 'use_typograph_for_text';
	$param['caption'] = $GLOBALS['MSG_shops']['exec_typograph_for_text'];
	$param['type'] = 1; // checkbox
	$param['value'] = $res_s['shop_typograph_item_by_default'];
	$param['div_attributes']['style'] = 'float: left;';
	$admin_forms_fields->AddField($param);
	
	// Оптическое выравнивание
	$param = array();
	$param['tab_id'] = $tab_id;
	$param['name'] = 'trailing_punctuation_for_text';
	$param['caption'] = $GLOBALS['MSG_shops']['use_trailing_punctuation_for_prop'];
	$param['type'] = 1; // checkbox
	$param['value'] = 1;
	$param['div_attributes']['style'] = 'float: left;';
	$admin_forms_fields->AddField($param);
}

$tab_id = $admin_forms_fields->AddTab($GLOBALS['MSG_shops']['tab_yandex_market']);

// Экспорт в Яндекс-маркет
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_yandex_market_allow';
$param['caption'] = $GLOBALS['MSG_shops']['yandex_market_allow'];
$param['type'] = 1; // checkbox
$param['value'] = $items_catalog_yandex_market_allow;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Экспорт в Рамблер - Покупки
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'shop_items_catalog_rambler_pokupki_allow';
$param['caption'] = $GLOBALS['MSG_shops']['rambler_pokupki_checkbox'];
$param['type'] = 1; // checkbox
$param['value'] = $shop_items_catalog_rambler_pokupki_allow;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Код производителя
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'shop_vendorcode';
$param['caption'] = $GLOBALS['MSG_shops']['shop_items_catalog_vendorCode'];
$param['type'] = 0; // textbox
$param['value'] = $shop_vendorcode;
$param['format']['maxlen']['value'] = 255;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Яндекс.Маркет - основная расценка
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_yandex_market_bid';
$param['caption'] = $GLOBALS['MSG_shops']['yandex_market_bid'];
$param['type'] = 0; // textbox
$param['value'] = $items_catalog_yandex_market_bid;
$param['format']['lib']['value'] = 'integer';
$param['format']['lib']['message'] = $GLOBALS['MSG_shops']['show_invalid_characters_integer'];
$param['format']['maxlen']['value'] = 11;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Яндекс.Маркет - расценка для карточек моделей
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_yandex_market_cid';
$param['caption'] = $GLOBALS['MSG_shops']['yandex_market_cid'];
$param['type'] = 0; // textbox
$param['value'] = $items_catalog_yandex_market_cid;
$param['format']['lib']['value'] = 'integer';
$param['format']['lib']['message'] = $GLOBALS['MSG_shops']['show_invalid_characters_integer'];
$param['format']['maxlen']['value'] = 11;
$admin_forms_fields->AddField($param);


// Идентификатор товара для системы CommerceML
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'shop_items_cml_id';
$param['caption'] = $GLOBALS['MSG_shops']['1c_commerce_ml'];
$param['type'] = 0; // textbox
$param['value'] = $shop_items_cml_id;
$param['format']['maxlen']['value'] = 100;
$admin_forms_fields->AddField($param);

// Отличие товара от других
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'shop_items_cml_sales_notes';
$param['caption'] = $GLOBALS['MSG_shops']['yandex_market_sales_notes'];
$param['type'] = 0; // textbox
$param['value'] = $shop_items_cml_sales_notes;
$param['format']['maxlen']['value'] = 50;
$admin_forms_fields->AddField($param);

// Разделитель.
$tab_id = $admin_forms_fields->AddTab($GLOBALS['MSG_shops']['tab_seo']);

// Заголовок
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_seo_title';
$param['caption'] = $GLOBALS['MSG_shops']['catalog_seo_title'];
$param['type'] = 0; // textbox
$param['value'] = $items_catalog_seo_title;
$param['format']['maxlen']['value'] = 65535;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Описание
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_seo_description';
$param['caption'] = $GLOBALS['MSG_shops']['catalog_seo_description'];
$param['type'] = 0; // textbox
$param['value'] = $items_catalog_seo_description;
$param['format']['maxlen']['value'] = 65535;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Ключевые слова
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_seo_keywords';
$param['caption'] = $GLOBALS['MSG_shops']['catalog_seo_keywords'];
$param['type'] = 0; // textbox
$param['value'] = $items_catalog_seo_keywords;
$param['format']['maxlen']['value'] = 65535;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);


// Метки.
$tab_id = $admin_forms_fields->AddTab($GLOBALS['MSG_shops']['tab_tags']);

// Метки
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_tags';
$param['caption'] = $GLOBALS['MSG_shops']['items_catalog_tags'];
$param['type'] = 0; // Поле ввода

// Если редактируем
if ($edit_items_catalog_id)
{
	if (class_exists('Tag'))
	{
		$oTag = & singleton('Tag');

		$tags_array = $oTag->GetTagRelation(array('shop_items_catalog_item_id' => $edit_items_catalog_id));

		$mytags = array();

		if ($tags_array)
		{
			foreach ($tags_array as $tag)
			{
				$mytags[] = $tag['tag_name'];
			}
		}

		$items_catalog_tags = implode(', ', $mytags);
	}
	else
	{
		$items_catalog_tags = '';
	}
}
else
{
	$items_catalog_tags = '';
}

$param['value'] = $items_catalog_tags;
$param['format']['maxlen']['value'] = 255;
$admin_forms_fields->AddField($param);

// Получаем список специальных цен для товара
$item_special_prices_res = $shop->GetAllSpecialPricesForItem($edit_items_catalog_id);

// Спеццены.
$tab_id_spec_prices = $admin_forms_fields->AddTab($GLOBALS['MSG_shops']['special_prices_tab']);

// поле "как есть", открытие div-а
$param = array();
$param['tab_id'] = $tab_id_spec_prices;
$param['name'] = '';
$param['caption'] = '';
$param['type'] = 15; // как есть
$param['value'] = '<div id="special_prices">';
$admin_forms_fields->AddField($param);

if ($item_special_prices_res)
{
	while ($item_special_prices_row = mysql_fetch_assoc($item_special_prices_res))
	{
		// Разделитель.
		$admin_forms_fields->AddSeparator($tab_id_spec_prices);

		// поле "как есть", открытие  div-а для спец. цены
		$param = array();
		$param['tab_id'] = $tab_id_spec_prices;
		$param['name'] = '';
		$param['caption'] = '';
		$param['type'] = 15; // как есть
		$param['value'] = '<div name="special_prices_item" id="special_prices_'.$item_special_prices_row['shop_special_prices_id'].'">';
		$admin_forms_fields->AddField($param);

		// Минимальное число товара, после покупки которого за один раз, цена начинает работать
		$param = array();
		$param['tab_id'] = $tab_id_spec_prices;
		$param['name'] = 'shop_special_prices_from_' . $item_special_prices_row['shop_special_prices_id'];
		$param['caption'] = $GLOBALS['MSG_shops']['form_edit_add_shop_special_prices_from'];
		$param['type'] = 0; // textbox
		$param['value'] = $item_special_prices_row['shop_special_prices_from'];
		$param['format']['maxlen']['value'] = 11;
		$param['attributes']['style'] = 'width: 120px;';
		$param['div_attributes']['style'] = 'float: left;';
		$param['format']['lib']['value'] = 'integer';
		$admin_forms_fields->AddField($param);

		// Максимальное число товара, после покупки которого за один раз, цена начинает работать
		$param = array();
		$param['tab_id'] = $tab_id_spec_prices;
		$param['name'] = 'shop_special_prices_to_' . $item_special_prices_row['shop_special_prices_id'];
		$param['caption'] = $GLOBALS['MSG_shops']['form_edit_add_shop_special_prices_to'];
		$param['type'] = 0; // textbox
		$param['value'] = $item_special_prices_row['shop_special_prices_to'];
		$param['format']['maxlen']['value'] = 11;
		$param['attributes']['style'] = 'width: 120px;';
		$param['div_attributes']['style'] = 'float: left;';
		$param['format']['lib']['value'] = 'integer';
		$admin_forms_fields->AddField($param);

		// Цена
		$param = array();
		$param['tab_id'] = $tab_id_spec_prices;
		$param['name'] = 'shop_special_prices_price_' . $item_special_prices_row['shop_special_prices_id'];
		$param['caption'] = $GLOBALS['MSG_shops']['form_edit_add_shop_special_pricess_price'];
		$param['type'] = 0; // textbox
		$param['value'] = $item_special_prices_row['shop_special_prices_price'];
		// $param['format']['maxlen']['value'] = 11;
		$param['attributes']['style'] = 'width: 120px;';
		$param['div_attributes']['style'] = 'float: left;';
		$param['format']['lib']['value'] = 'decimal';
		$admin_forms_fields->AddField($param);

		// поле "как есть"
		$param = array();
		$param['tab_id'] = $tab_id_spec_prices;
		$param['name'] = '';
		$param['caption'] = '';
		$param['type'] = 15; // как есть
		$param['value'] = '<div class="item_div" style="float: left; padding-top: 30px;"> или </div>';
		$admin_forms_fields->AddField($param);

		// % от цены
		$param = array();
		$param['tab_id'] = $tab_id_spec_prices;
		$param['name'] = 'shop_special_prices_percent_' . $item_special_prices_row['shop_special_prices_id'];
		$param['caption'] = $GLOBALS['MSG_shops']['form_edit_add_shop_special_pricess_percent'];
		$param['type'] = 0; // textbox
		$param['value'] = $item_special_prices_row['shop_special_prices_percent'];
		// $param['format']['maxlen']['value'] = 11;
		$param['attributes']['style'] = 'width: 120px;';
		$param['div_attributes']['style'] = 'float: left;';
		$param['format']['lib']['value'] = 'decimal';
		$admin_forms_fields->AddField($param);

		// поле "как есть"
		$param = array();
		$param['tab_id'] = $tab_id_spec_prices;
		$param['name'] = '';
		$param['caption'] = '';
		$param['type'] = 15; // как есть
		$param['value'] = '<div class="item_div item_div_as_is"><a href="javascript:void(0)"
		onclick="res = confirm(\''.$GLOBALS['MSG_admin_forms']['msg_information_delete'].'\'); if (res) {sendRequest(\'/admin/shop/shop.php?action=delete_special_prices&shop_special_prices_id='.$item_special_prices_row['shop_special_prices_id'].'\', \'get\', callback_function_exec_from_return); return false;} else {return false;}" 
		href="javascript:void(0)" title="'.$GLOBALS['MSG_shops']['form_edit_add_shop_special_pricess_delete'].'"><img src="/admin/images/delete.gif" alt="'.$GLOBALS['MSG_shops']['form_edit_add_shop_special_pricess_delete'].'" title="'.$GLOBALS['MSG_shops']['form_edit_add_shop_special_pricess_delete'].'"/></a></div>';

		$admin_forms_fields->AddField($param);

		// поле "как есть", закрытие div-а для спец. цены
		$param = array();
		$param['tab_id'] = $tab_id_spec_prices;
		$param['name'] = '';
		$param['caption'] = '';
		$param['type'] = 15; // как есть
		$param['value'] = '</div>';
		$admin_forms_fields->AddField($param);

		// Разделитель.
		$admin_forms_fields->AddSeparator($tab_id_spec_prices);
	}
}
else
{
	// Разделитель.
	$admin_forms_fields->AddSeparator($tab_id_spec_prices);

	// Минимальное число товара, после покупки которого за один раз, цена начинает работать
	$param = array();
	$param['tab_id'] = $tab_id_spec_prices;
	$param['name'] = 'shop_special_prices_from_0';
	$param['caption'] = $GLOBALS['MSG_shops']['form_edit_add_shop_special_prices_from'];
	$param['type'] = 0; // textbox
	$param['value'] = '';
	$param['format']['maxlen']['value'] = 11;
	$param['attributes']['style'] = 'width: 120px;';
	$param['div_attributes']['style'] = 'float: left;';
	$param['format']['lib']['value'] = 'integer';
	$admin_forms_fields->AddField($param);

	// Максимальное число товара, после покупки которого за один раз, цена начинает работать
	$param = array();
	$param['tab_id'] = $tab_id_spec_prices;
	$param['name'] = 'shop_special_prices_to_0';
	$param['caption'] = $GLOBALS['MSG_shops']['form_edit_add_shop_special_prices_to'];
	$param['type'] = 0; // textbox
	$param['value'] = '';
	$param['format']['maxlen']['value'] = 11;
	$param['attributes']['style'] = 'width: 120px;';
	$param['div_attributes']['style'] = 'float: left;';
	$param['format']['lib']['value'] = 'integer';
	$admin_forms_fields->AddField($param);

	// Цена
	$param = array();
	$param['tab_id'] = $tab_id_spec_prices;
	$param['name'] = 'shop_special_prices_price_0';
	$param['caption'] = $GLOBALS['MSG_shops']['form_edit_add_shop_special_pricess_price'];
	$param['type'] = 0; // textbox
	$param['value'] = '';
	$param['format']['maxlen']['value'] = 11;
	$param['attributes']['style'] = 'width: 120px;';
	$param['div_attributes']['style'] = 'float: left;';
	$param['format']['lib']['value'] = 'decimal';
	$admin_forms_fields->AddField($param);

	// поле "как есть"
	$param = array();
	$param['tab_id'] = $tab_id_spec_prices;
	$param['name'] = '';
	$param['caption'] = '';
	$param['type'] = 15; // как есть
	$param['value'] = '<div class="item_div" style="float: left; padding-top: 30px;"> или </div>';
	$admin_forms_fields->AddField($param);

	// % от цены
	$param = array();
	$param['tab_id'] = $tab_id_spec_prices;
	$param['name'] = 'shop_special_prices_percent_0';
	$param['caption'] = $GLOBALS['MSG_shops']['form_edit_add_shop_special_pricess_percent'];
	$param['type'] = 0; // textbox
	$param['value'] = '0.00';
	$param['attributes']['style'] = 'width: 120px;';
	$param['div_attributes']['style'] = 'float: left;';
	$param['format']['lib']['value'] = 'decimal';
	$admin_forms_fields->AddField($param);

	// Разделитель.
	$admin_forms_fields->AddSeparator($tab_id_spec_prices);
}

// Ссылку на "Еще" добавляем только для последней цены
// Разделитель.
$admin_forms_fields->AddSeparator($tab_id_spec_prices);

// поле "как есть"
$param = array();
$param['tab_id'] = $tab_id_spec_prices;
$param['name'] = '';
$param['caption'] = '';
$param['type'] = 15; // как есть
$param['value'] = '<a href="javascript:void(0)" onclick="javascript:AddSpecialPricesFields(\'special_prices\')">' . $GLOBALS['MSG_shops']['special_prices_add_fields'] . '&#8230;</a>';
$admin_forms_fields->AddField($param);

// поле "как есть", закрытие div-а
$param = array();
$param['tab_id'] = $tab_id_spec_prices;
$param['name'] = '';
$param['caption'] = '';
$param['type'] = 15; // как есть
$param['value'] = '</div>';
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id_spec_prices);

// Редактирование товара
if ($edit_items_catalog_id > 0)
{
	// Если это модификация
	if ($shop_items_catalog_modification_id)
	{
		$row_modification = $shop->GetItem($shop_items_catalog_modification_id);
		
		if ($row_modification)
		{
			$select_roups_parent_id = $row_modification['shop_groups_id'];
		}
		else
		{
			$select_roups_parent_id = $shop_groups_parent_id;
		}
	}
	else
	{
		$select_roups_parent_id = $shop_groups_parent_id;
	}

	$query = "SELECT shop_list_of_properties_table.*, shop_list_of_properties_table.shop_list_of_properties_id AS field_name, shop_properties_items_table.shop_items_catalog_item_id, shop_properties_items_table.shop_properties_items_id, shop_properties_items_table.shop_properties_items_value, shop_properties_items_table.shop_properties_items_file, shop_properties_items_table.shop_properties_items_value_small, shop_properties_items_table.shop_properties_items_file_small,
	shop_properties_item_for_groups_table.shop_groups_id

	FROM shop_list_of_properties_table
	LEFT JOIN shop_properties_items_table
	ON (shop_properties_items_table.shop_list_of_properties_id = shop_list_of_properties_table.shop_list_of_properties_id AND (
	(shop_properties_items_table.shop_items_catalog_item_id='$edit_items_catalog_id') OR (shop_properties_items_table.shop_items_catalog_item_id is null) ) )

	LEFT JOIN shop_properties_item_for_groups_table
	ON (shop_properties_item_for_groups_table.shop_list_of_properties_id=shop_list_of_properties_table.shop_list_of_properties_id)

	WHERE shop_list_of_properties_table.shop_shops_id = '{$shop_shops_id}'
	AND shop_properties_item_for_groups_table.shop_groups_id = '{$select_roups_parent_id}'
	OR shop_properties_items_table.shop_properties_items_value != ''
	GROUP BY shop_list_of_properties_table.shop_list_of_properties_id
	ORDER BY shop_list_of_properties_table.shop_list_of_properties_order";
}
else // Добавление товара
{
	// Выбираем все свойства, относящиеся к данному товару со значениями по умолчанию
	$query = "SELECT *, shop_list_of_properties_table.shop_list_of_properties_id AS field_name
	FROM shop_list_of_properties_table, shop_properties_item_for_groups_table 
	WHERE shop_list_of_properties_table.shop_shops_id='$shop_shops_id' 
	AND shop_properties_item_for_groups_table.shop_list_of_properties_id=shop_list_of_properties_table.shop_list_of_properties_id  
	AND shop_groups_id='$shop_groups_parent_id'
	ORDER BY shop_list_of_properties_order";
}

$res = $DataBase->select($query);

$arr = array();

$ext_prop_table = array();

$count_rows = $DataBase->get_count_row();

// Функция получения информации о дереве групп доп. свойств товаров
function get_mas_properties_items_dir($shop_id, $parent_properties_items_dir_id, $mas_dir)
{
	$shop = & singleton('shop');

	$param = array();
	$param['parent_properties_items_dir_id'] = $parent_properties_items_dir_id;

	$dir_resource = $shop->GetAllPropertiesItemsDirForShop($shop_id, $param);

	while ($dir_row = mysql_fetch_assoc($dir_resource))
	{
		$mas_dir[] = $dir_row;

		$mas_dir = get_mas_properties_items_dir($shop_id, $dir_row['shop_properties_items_dir_id'], $mas_dir);

		//$mas_dir = array_merge($mas_dir, $mas_return);
	}
	return $mas_dir;
}

if (to_int($count_rows) > 0)
{
	// Вкладка для дополнительных свойств
	$tab2_id = $admin_forms_fields->AddTab($GLOBALS['MSG_shops']['items_catalog_add_form_additional_titleform']);

	// Массив дополнительных свойств товаров
	$shop_items_propertys_mas = array();

	// Цикл по дополнительным свойствам товаров
	while($row = mysql_fetch_assoc($res))
	{
		// Заполняем массив дополнительных свойств товаров по группам
		$shop_items_propertys_mas[$row['shop_properties_items_dir_id']][] = $row;
	}

	$mas_propertys_items_dir = array(array('shop_properties_items_dir_id' => 0));
	$mas_propertys_items_dir = get_mas_properties_items_dir($shop_shops_id, 0, $mas_propertys_items_dir);
		
	$aDirTree = array();
	// По массиву групп строим дерево
	foreach ($mas_propertys_items_dir as $row_propertys_groups)
	{
		if (isset($row_propertys_groups['shop_properties_items_dir_parent_id']))
		{
			$aDirTree[$row_propertys_groups['shop_properties_items_dir_parent_id']][] = $row_propertys_groups['shop_properties_items_dir_id'];
		}
	}

	function IssetPropertyInDir($shop_properties_items_dir_id, &$aDirTree, &$shop_items_propertys_mas)
	{
		// Элементы есть в разделе $shop_properties_items_dir_id
		if (isset($shop_items_propertys_mas[$shop_properties_items_dir_id]))
		{
			return true;
		}
		
		// Если есть подразделы
		if (isset($aDirTree[$shop_properties_items_dir_id]) && count($aDirTree[$shop_properties_items_dir_id]) > 0)
		{
			foreach ($aDirTree[$shop_properties_items_dir_id] as $sub_dir_id)
			{
				// Элементы есть в разделе $sub_dir_id
				if (isset($shop_items_propertys_mas[$sub_dir_id]))
				{
					return true;
				}
			
				// Вызываем рекурсивно, усли у подгрупп найден элемент, возвращаем true
				if (IssetPropertyInDir($sub_dir_id, $aDirTree, $shop_items_propertys_mas))
				{
					return true;
				}
			}
		}
		
		return false;
	}

	// Стек
	$stack_array = array();

	$i = 0;

	foreach ($mas_propertys_items_dir as $row_propertys_groups)
	{
		$margin_left = 0;

		// В подразделах текущего раздела нет ни одного элемента
		if (!IssetPropertyInDir($row_propertys_groups['shop_properties_items_dir_id'], $aDirTree, $shop_items_propertys_mas))
		{
			continue;
		}
		
		if (isset($row_propertys_groups['shop_properties_items_dir_parent_id']))
		{
			// Стек пуст
			if (count($stack_array) == 0)
			{
				$i++;
				// Добавляем элемент в стек
				$stack_array[] = $row_propertys_groups;
			}
			else // В стеке есть элементы
			{
				// Верхний элемент стека
				$end_stack_item = end($stack_array);

				// Текущий элемент является дочерним по отношению к верхнему элементу стека
				if ($end_stack_item['shop_properties_items_dir_id'] == $row_propertys_groups['shop_properties_items_dir_parent_id'])
				{
					$i++;
					// Добавляем элемент в стек
					$stack_array[] = $row_propertys_groups;
				}
				// Текущий элемент находится на одном уровне с верхним элементом стека
				elseif ($end_stack_item['shop_properties_items_dir_parent_id'] == $row_propertys_groups['shop_properties_items_dir_parent_id'])
				{
					$item_stack_key = key($stack_array);

					// Заменяем верхний элемент стека
					$stack_array[$item_stack_key] = $row_propertys_groups;
				}
				else // Текущий элемент находится на одном уровне с родителем верхнего элемента стека
				{
					$count_stack_items = count($stack_array);

					for ($k = 0; $k < $count_stack_items; $k++)
					{
						$item_stack_key = key($stack_array);

						$i--;
						unset($stack_array[$item_stack_key]);

						$end_stack_item = end($stack_array);

						if ($end_stack_item['shop_properties_items_dir_parent_id'] == $row_propertys_groups['shop_properties_items_dir_parent_id'])
						{
							// Заменяем верхний элемент стека
							$i++;
							$stack_array[] = $row_propertys_groups;
							break;
						}
					}
				}
				
				$margin_left = $i * 15;
			}
		}

		if ($row_propertys_groups['shop_properties_items_dir_id'])
		{
			$param = array ();
			$param['tab_id'] = $tab2_id;
			$param['type'] = 8; // Название группы
			$param['value'] = '<strong>' . $row_propertys_groups['shop_properties_items_dir_name'] . '</strong>';
			$param['div_attributes']['style'] = 'margin-left: ' . $margin_left . 'px';
			$admin_forms_fields->AddField($param);
		}
		
		$admin_forms_fields->AddSeparator($tab2_id);

		// Есть доп. св-ва для отображения
		if (isset($shop_items_propertys_mas[$row_propertys_groups['shop_properties_items_dir_id']]))
		{
			foreach($shop_items_propertys_mas[$row_propertys_groups['shop_properties_items_dir_id']] as $key => $arr)
			{
				// Название единицы измерения св-ва
				$row_mesure_name = '';

				if (isset($arr['shop_mesures_id']) && $arr['shop_mesures_id'] > 0)
				{
					$row_mesure = $shop->GetMesure($arr['shop_mesures_id']);

					if ($row_mesure)
					{
						$row_mesure_name = " ({$row_mesure['shop_mesures_name']})";
					}
				}
				
				// Текущая строка таблицы
				switch (to_int($arr['shop_list_of_properties_type']))
				{
					case 0: // строка
						{
							// Дополнительное поле
							$param = array();
							$param['tab_id'] = $tab2_id;
							$param['name'] = 'add_value_'.$arr['field_name'];
							$param['caption'] = $arr['shop_list_of_properties_name'] . $row_mesure_name;
							$param['type'] = 0; // Текстбокс
							
							$param['value'] = ($edit_items_catalog_id > 0)
							? $arr['shop_properties_items_value']
							: $arr['shop_list_of_properties_default_value'];

							$param['format']['maxlen']['value'] = 255;
							$param['div_attributes']['style'] = "margin-left: {$margin_left}px; width: 400px";
							$admin_forms_fields->AddField($param);

							// Разделитель.
							$admin_forms_fields->AddSeparator($tab_id);
							
							break;
						}
					case 1: // Файл
						{
							// Дополнительное поле
							$param = array();
							$param['tab_id'] = $tab2_id;
							$param['name'] = 'add_value_'.$arr['field_name'];
							$param['caption'] = $arr['shop_list_of_properties_name'] . $row_mesure_name;
							$param['type'] = 9; // file
							$param['options']['load_small_image_caption'] = $arr['shop_list_of_properties_name'] . ' ' . $GLOBALS['MSG_shops']['show_small_image'];
							// Параметры
							$param['options']['make_small_image_from_big_show'] = 1; // отображать ли checkbox с подписью "Создать малое изображение из большого" (1 -  отображать (по умолчанию), 0 - не отображать);
							$param['options']['make_small_image_from_big_checked'] = 1; // вид отображения checkbox'а с подписью "Создать малое изображение из большого" выбранным (1 -  отображать выбранным (по умолчанию), 0 - невыбранным);

							$param['options']['load_small_image_show'] = 1; //- отображать ли поле загрузки малого изображения (1 -  отображать (по умолчанию), 0 - не отображать);

							// Для настроек изображений дополнительных свойств размеры берем из настроек магазина а не настроек элемента
							$shop_picture_row = $shop->GetShop($shop_shops_id, array('cache_off' => true));

							$shop_image_small_max_width_from_shop = $shop_picture_row['shop_image_small_max_width'];
							$shop_image_big_max_width_from_shop = $shop_picture_row['shop_image_big_max_width'];
							$shop_image_small_max_height_from_shop = $shop_picture_row['shop_image_small_max_height'];
							$shop_image_big_max_height_from_shop = $shop_picture_row['shop_image_big_max_height'];

							// Получаем данные по умолчанию из дополнительного свойства
							$param['options']['image_big_max_width'] = $arr['shop_list_of_properties_default_big_width']; // значение максимальной ширины большого изображения;
							$param['options']['image_big_max_height'] = $arr['shop_list_of_properties_default_big_height']; // значение максимальной высоты большого изображения;

							$param['options']['image_small_max_width'] = $arr['shop_list_of_properties_default_small_width']; // значение максимальной ширины малого изображения;
							$param['options']['image_small_max_height'] = $arr['shop_list_of_properties_default_small_height']; // значение максимальной высоты малого изображения;

							$param['options']['used_watermark_big_image_show'] = 1; // отображать ли checkbox с подписью "Наложить водяной знак на большое изображение" (1 -  отображать (по умолчанию), 0 - не отображать);
							$param['options']['used_watermark_big_image_checked'] = to_int($res_s['shop_watermark_default_use_big']); // вид ображения checkbox'а с подписью "Наложить водяной знак на большое изображение" (1 -  отображать выбранным (по умолчанию), 0 - невыбранным);

							$param['options']['watermark_position_x'] = $shop_watermark_default_position_x; //значение поля ввода с подписью "По оси X"
							$param['options']['watermark_position_y'] = $shop_watermark_default_position_y; // значение поля ввода с подписью "По оси Y"

							$param['options']['used_watermark_small_image_show'] = 1; //  отображать ли checkbox с подписью "Наложить водяной знак на малое изображение" (1 -  отображать (по умолчанию), 0 - не отображать);
							$param['options']['used_watermark_small_image_checked'] = to_int($res_s['shop_watermark_default_use_small']); // вид ображения checkbox'а с подписью "Наложить водяной знак на малое изображение" (1 -  отображать выбранным (по умолчанию), 0 - невыбранным);
							$param['options']['used_big_image_preserve_aspect_ratio_checked'] = to_int($res_s['shop_shops_default_save_proportions']);
							
							$param['options']['used_small_image_preserve_aspect_ratio_checked'] = to_int($res_s['shop_shops_default_save_proportions']);
							if ($edit_items_catalog_id)
							{
								$items_catalog_image_ext = $arr['shop_properties_items_file'];
								$items_catalog_image_advanced_ext = $arr['shop_properties_items_file_small'];
							}
							else
							{
								$items_catalog_image_ext = '';
								$items_catalog_image_advanced_ext = '';
							}

							if (isset($items_catalog_image_ext) && $items_catalog_image_ext != '')
							{
								// Формируем путь к изображению по новому стандарту
								$param['options']['big_image_path'] = '/' . $uploaddir . rawurlencode($items_catalog_image_ext); // адрес большого загруженного изображения
								$item_id = $arr['shop_properties_items_id'];
								$node_id = $arr['field_name'];
								$param['options']['href_delete_big_image'] = "javascript:void(0)";

								// Значение для onclick
								$param['options']['onclick_delete_big_image'] = "sendRequest('/admin/shop/shop.php?action=shop_item_big_image_property&item_id=$item_id&node_id=$node_id&tovar_id=$edit_items_catalog_id&shop_shops_id=$shop_shops_id', 'get', callback_function_exec_from_return); return false;";
							}
							else
							{
								$param['options']['big_image_path'] = '';
							}

							if (isset($items_catalog_image_advanced_ext) && $items_catalog_image_advanced_ext != '')
							{
								//$param['options']['small_image_path'] = '/' . UPLOADDIR . 'shop_' . $shop_shops_id . '/item_catalog_' . $edit_items_catalog_id . '/' . rawurlencode($items_catalog_image_advanced_ext); // адрес малого загруженного изображения
								
								// Формируем путь к изображению по новому стандарту
								$param['options']['small_image_path'] = '/' . $uploaddir . rawurlencode($items_catalog_image_advanced_ext); // адрес малого загруженного изображения


								$item_id = $arr['shop_properties_items_id'];

								$node_id = $arr['field_name'];

								$param['options']['href_delete_small_image'] = "javascript:void(0)";
								// Значение для onclick
								$param['options']['onclick_delete_small_image'] = "sendRequest('/admin/shop/shop.php?action=shop_item_small_image_property&item_id=$item_id&node_id=$node_id&tovar_id=$edit_items_catalog_id&shop_shops_id=$shop_shops_id', 'get', callback_function_exec_from_return); return false;";
							}
							else
							{
								$param['options']['small_image_path'] = '';
							}

							$param['div_attributes']['style'] = 'margin-left: ' . $margin_left . 'px';
							$admin_forms_fields->AddField($param);

							// Разделитель.
							$admin_forms_fields->AddSeparator($tab_id);
							break;
						}
					case 2: // Список
						{
							if (class_exists('lists'))
							{
								$list = & singleton('lists');

								$arrg[$i] = array();

								$arrg[$i][0] = ' ... ';

								// Заполняем список данными из БД
								$res_x = $list->GetListItemsValuesById($arr['lists_id']);

								$list_value = 0;
								
								if ($res_x)
								{
									while ($row = mysql_fetch_assoc($res_x))
									{
										$arrg[$i][$row['lists_items_id']] = $row['lists_items_value'];
										 
										if(isset($arr['shop_properties_items_value'])
										&& $row['lists_items_id'] == $arr['shop_properties_items_value'])
										{
											$list_value = $row['lists_items_id'];
										}
									}
								}
								
								if($list_value == 0 && isset($arr['shop_properties_items_value']))
								{
									$list_value = $arr['shop_properties_items_value'];
								}
								
								// Дополнительное поле
								$param = array();
								$param['tab_id'] = $tab2_id;
								$param['name'] = 'add_value_' . $arr['field_name'];
								$param['caption'] = $arr['shop_list_of_properties_name'] . $row_mesure_name;
								$param['type'] = 2; // Выпадающий список
								$param['value'] = ($edit_items_catalog_id > 0)
								? $list_value
								: $arr['shop_list_of_properties_default_value'];
								
								$param['items'] = $arrg[$i];
								$param['div_attributes']['style'] = "margin-left: {$margin_left}px; width: 400px";
								$admin_forms_fields->AddField($param);

								// Разделитель.
								$admin_forms_fields->AddSeparator($tab_id);
							}
							break;
						}
					case 3:// Большое текстовое поле
						{
							// Дополнительное поле
							$param = array();
							$param['tab_id'] = $tab2_id;
							$param['name'] = 'add_value_'.$arr['field_name'];
							$param['caption'] = $arr['shop_list_of_properties_name'] . $row_mesure_name;
							$param['type'] = 5; // Текстовое поле
							$param['value'] = ($edit_items_catalog_id > 0)
							? $arr['shop_properties_items_value']
							: $arr['shop_list_of_properties_default_value'];
							$param['attributes']['rows'] = 10;
							$param['div_attributes']['style'] = "margin-left: {$margin_left}px; width: 400px";
							$admin_forms_fields->AddField($param);
							
							// Разделитель.
							$admin_forms_fields->AddSeparator($tab_id);

							break;
						}
					case 4:// Визуальный редактор
						{
							// Дополнительное поле
							$param = array();
							$param['tab_id'] = $tab2_id;
							$param['name'] = 'add_value_'.$arr['field_name'];
							$param['caption'] = $arr['shop_list_of_properties_name'] . $row_mesure_name;
							$param['template'] = $template_id; // ID шаблона
							$param['type'] = 7; // Визуальный редактор
							$param['value'] = ($edit_items_catalog_id > 0)
							? $arr['shop_properties_items_value']
							: $arr['shop_list_of_properties_default_value'];
							$param['div_attributes']['style'] = "margin-left: {$margin_left}px;";
							$admin_forms_fields->AddField($param);

							// Разделитель.
							$admin_forms_fields->AddSeparator($tab_id);

							break;
						}
					case 5: // Дата
						{
							// Дополнительное поле
							$param = array();
							$param['tab_id'] = $tab2_id;
							$param['name'] = 'add_value_'.$arr['field_name'];
							$param['caption'] = $arr['shop_list_of_properties_name'] . $row_mesure_name;
							$param['type'] = 10; // Дата
							$param['value'] = ($edit_items_catalog_id > 0)
							? $arr['shop_properties_items_value']
							: $arr['shop_list_of_properties_default_value'];
							$param['div_attributes']['style'] = "margin-left: {$margin_left}px;";
							$admin_forms_fields->AddField($param);

							// Разделитель.
							$admin_forms_fields->AddSeparator($tab_id);

							break;
						}
					case 6: // Дата-время
						{
							// Дополнительное поле
							$param = array();
							$param['tab_id'] = $tab2_id;
							$param['name'] = 'add_value_'.$arr['field_name'];
							$param['caption'] = $arr['shop_list_of_properties_name'] . $row_mesure_name;
							$param['type'] = 11; // Датавремя
							$param['value'] = ($edit_items_catalog_id > 0)
							? $arr['shop_properties_items_value']
							: $arr['shop_list_of_properties_default_value'];
							$param['div_attributes']['style'] = "margin-left: {$margin_left}px;";
							$admin_forms_fields->AddField($param);

							// Разделитель.
							$admin_forms_fields->AddSeparator($tab_id);
						
							break;
						}
					case 7: // Флажок
						{
							// Дополнительное поле
							$param = array();
							$param['tab_id'] = $tab2_id;
							$param['name'] = 'add_value_'.$arr['field_name'];
							$param['caption'] = $arr['shop_list_of_properties_name'] . $row_mesure_name;
							$param['type'] = 1; // Флажок
							$param['value'] = ($edit_items_catalog_id > 0)
							? $arr['shop_properties_items_value']
							: $arr['shop_list_of_properties_default_value'];
							$param['div_attributes']['style'] = "margin-left: {$margin_left}px;";
							$admin_forms_fields->AddField($param);

							// Разделитель.
							$admin_forms_fields->AddSeparator($tab_id);

							break;
						}
				}
			}
		}
	}
}

// передеам скрытое поле с идентификатором товара если он есть
if ($edit_items_catalog_id != 0)
{
	$param = array();
	$param['tab_id'] = $tab_id;
	$param['name'] = 'edit_items';
	$param['caption'] = '';
	$param['type'] = 4; // hidden.
	$param['value'] = $edit_items_catalog_id;

	$admin_forms_fields->AddField($param);
}

if (isset($_REQUEST['shop_items_catalog_modification_id']))
{
	$param = array();
	$param['tab_id'] = $tab_id;
	$param['name'] = 'shop_items_catalog_modification_id';
	$param['caption'] = '';
	$param['type'] = 4; // hidden.
	$param['value'] = to_int($_REQUEST['shop_items_catalog_modification_id']);

	$admin_forms_fields->AddField($param);
}

$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'action';
$param['caption'] = '';
$param['type'] = 4; // hidden.
$param['value'] = 'show_groups';
$admin_forms_fields->AddField($param);

$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'shop_shops_id';
$param['caption'] = '';
$param['type'] = 4; // hidden.
$param['value'] = $shop_shops_id;
$admin_forms_fields->AddField($param);

$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'shop_groups_parent_id';
$param['caption'] = '';
$param['type'] = 4; // hidden.
$param['value'] = $shop_groups_parent_id;
$admin_forms_fields->AddField($param);


$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'throu';
$param['caption'] = '';
$param['type'] = 4; // hidden.
$param['value'] = 0;
$admin_forms_fields->AddField($param);

// Кнопка "Сохранить".
$param = array();
$param['name'] = (!isset($_REQUEST['shop_items_catalog_modification_id']))?'save_items_catalog':'save_items_catalog_mod';
$param['caption'] = $GLOBALS['MSG_shops']['save'];
$param['attributes']['onclick'] = "return SendForm('{$admin_forms_fields->GetWindowId()}', '{$admin_forms_fields->AAction}', '{$admin_forms_fields->AAdditionalParams}', this, ".to_int($_REQUEST['admin_forms_id']).", 'load_data', " . to_int($admin_forms_fields->form_params['current_page']) . ", " . to_int($admin_forms_fields->form_params['on_page']) . " )";
$param['attributes']['type'] = 'button';
$admin_forms_fields->AddButton($param);

// Кнопка "Применить".
$param = array();
$param['name'] = (!isset($_REQUEST['shop_items_catalog_modification_id']))?'add_items_catalog':'add_items_catalog_mod';
$param['caption'] = $GLOBALS['MSG_shops']['apply'];
$param['image'] = '/admin/images/add.gif';
$param['attributes']['onclick'] = "return SendForm('{$admin_forms_fields->GetWindowId()}', '{$admin_forms_fields->AAction}', '{$admin_forms_fields->AAdditionalParams}', this, ".to_int($_REQUEST['admin_forms_id']).", 'load_data', " . to_int($admin_forms_fields->form_params['current_page']) . ", " . to_int($admin_forms_fields->form_params['on_page']) . " )";
$param['attributes']['type'] = 'submit';
$admin_forms_fields->AddButton($param);

// Отображение формы.
$admin_forms_fields->ShowForm();
?>